## org.apache.felix.bundleplugin
Class DependencyExcluder

    java.lang.Object
      org.apache.felix.bundleplugin.AbstractDependencyFilter
          org.apache.felix.bundleplugin.DependencyExcluder

    public final class DependencyExcluder

extends AbstractDependencyFilter

Exclude selected dependencies from the classpath passed to BND.

Author:
  Felix Project Team

Constructor Summary
`DependencyExcluder(java.util.Collection dependencyArtifacts)`

Method Summary
`java.util.Collection` `getExcludedArtifacts()`
`protected void` `processDependencies(java.lang.String tag, java.lang.String inline, java.util.Collection dependencies)`
`void` `processHeaders(java.lang.String excludeDependencies)`

Methods inherited from class org.apache.felix.bundleplugin.AbstractDependencyFilter
`processInstructions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyExcluder

    public DependencyExcluder(java.util.Collection dependencyArtifacts)

Method Detail

### processHeaders

    public void processHeaders(java.lang.String excludeDependencies)
                        throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### processDependencies

    protected void processDependencies(java.lang.String tag,
                                       java.lang.String inline,
                                       java.util.Collection dependencies)

  Specified by:
    `processDependencies` in class `AbstractDependencyFilter`

### getExcludedArtifacts

    public java.util.Collection getExcludedArtifacts()

Copyright © 2011. All Rights Reserved.